﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using HeuristicLab.Common;

namespace HeuristicLab.Problems.TradeRules
{
    class Lag : Symbol
    {
        private const int minimumArity = 1;
        private const int maximumArity = 1;

        public override int MinimumArity
        {
            get { return minimumArity; }
        }
        public override int MaximumArity
        {
            get { return maximumArity; }
        }

        [StorableConstructor]
        private Lag(bool deserializing) : base(deserializing) { }
        private Lag(Lag original, Cloner cloner) : base(original, cloner) { }
        public override IDeepCloneable Clone(Cloner cloner)
        {
            return new Lag(this, cloner);
        }
        public Lag() : base("Lag", "Symbol that represents the Lag value in a time") { }
    }
}
